// GeoApplication.java                              MM 2014

import java.awt.*;
import Tools.IO.*;
import Geometrie.*;

/**
 * Testprogramm Geometrie
 */
public class GeoApplication
{
  public static void main( String[] args)
  {
    System.out.println( "Waehle aus:");
    System.out.println( "Kreis          ... 1");
    System.out.println( "Dreieck        ... 2");
    System.out.print(   "Parallelogramm ... 3:  ");
    int wahl = IOTools.readInteger();

    if( wahl != 1 && wahl != 2 && wahl != 3)
        System.out.println( "Programm wird beendet!");
    else
    {
      Flaeche figur;
      switch( wahl)
      {
        case 1: figur = einlesenKreis(); break;

        case 2: figur = einlesenDreieck(); break;
        default: figur = einlesenParallelogramm();
      }
      System.out.println
      ( "Flaeche = " + figur.getFlaeche());
      System.out.println
      ( "Umfang  = " + figur.getUmfang());
    }
  }

/**
 * Lesen der Kreisdaten.
 */
  private static Kreis einlesenKreis()
  {

    System.out.println( "Kreis:");
    double r = IOTools.readDouble( "r =  ");
    double x = IOTools.readDouble( "Mittelpunkt: x = ");
    double y = IOTools.readDouble( "             y = ");
    return new Kreis( x, y, r, Color.red);
  }

/**
 * Lesen der Dreiecksdaten.
 */
  private static Dreieck einlesenDreieck()
  {
    System.out.println( "Dreieck:");

    System.out.println( "     C");
    System.out.println( "    /  \\");
    System.out.println( "   A -- B");
    double xa = IOTools.readDouble( "Punkt A: x = ");
    double ya = IOTools.readDouble( "         y = ");
    double xb = IOTools.readDouble( "Punkt B: x = ");
    double yb = IOTools.readDouble( "         y = ");
    double xc = IOTools.readDouble( "Punkt C: x = ");
    double yc = IOTools.readDouble( "         y = ");
    return new Dreieck( xa, ya, xb, yb, xc, yc, Color.red);
  }

/**
 * Lesen der Parallelogrammdaten.
 */
  private static Parallelogramm einlesenParallelogramm()
  {

    System.out.println( "Parallelogramm:");
    System.out.println( "     D --- C");
    System.out.println( "    /     /");
    System.out.println( "   A -- B");
    double xa = IOTools.readDouble( "Punkt A: x = ");
    double ya = IOTools.readDouble( "         y = ");
    double xb = IOTools.readDouble( "Punkt B: x = ");
    double yb = IOTools.readDouble( "         y = ");
    double xc = IOTools.readDouble( "Punkt C: x = ");
    double yc = IOTools.readDouble( "         y = ");
    return new Parallelogramm(  xa, ya, xb, yb, xc, yc, Color.red);
  }
}
