// Zeichenobjekt.java                           MM 2011

import java.awt.*;                             // Color

/**
 * Zeichenobjekt setzt Darstellungsfarbe und
 * stellt Zeichenmethoden zur Verfgung,
 * abstrakt.
 */
public abstract class Zeichenobjekt
{
/* ------------------------------------------------- */
                                            // coreData
/**
 * Zeichenfarbe.
 */
  private Color farbe;

/* ------------------------------------------------- */
                                         // Konstruktor
/**
 * Konstruktor, setzt Darstellungsfarbe.
 * @param farbe Darstellungsfarbe
 */
  public Zeichenobjekt( Color farbe)
  {
    this.farbe = farbe;
  }

/* ------------------------------------------------- */
                                     //getData-Methoden
/**
 * Lesen der Farbe.
 * @return Darstellungsfarbe
 */
  public Color getColor()
  {
    return farbe;
  }

/* ------------------------------------------------- */
                                    // Service-Methoden
/**
 * Aendern der Farbe.
 * @param farbe Darstellungsfarbe
 */
  public void setColor( Color farbe)
  {
    this.farbe = farbe;
  }


/**
 * Zeichnen eines Objektes mit einer anderen Farbe
 * unter Verwendung von paint.
 * @param farbe neue Darstellungsfarbe
 */
  public void darstellen( Graphics g, Color farbe)
  {
    setColor( farbe);
    paint( g);
  }

/**
 * Zeichnen eines Objektes mit der Originalfarbe
 * unter Verwendung von paint.
 */
  public void darstellen( Graphics g)
  {
    darstellen( g, farbe);
  }

/* ------------------------------------------------- */
                          // zu berschreibende Methode
/**
 * Grafische Darstellung, Zeichnen eines Objekts,
 * abstrakt.
 */
  public abstract void paint( Graphics g);
}
